Package com.google.javascript.rhino

# Class Node.SideEffectFlags

java.lang.Object
com.google.javascript.rhino.Node.SideEffectFlags

Enclosing class:
  `Node`

public static class Node.SideEffectFlags extends Object
A helper class for getting and setting the side-effect flags.

## Constructor Summary

Constructors
Constructor
Description
`SideEffectFlags()`
`SideEffectFlags(int value)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`areAllFlagsSet()`
`void`
`clearAllFlags()`
No side-effects occur and the returned results are local.
`void`
`clearSideEffectFlags()`
Preserve the return result flag, but clear the others: no global state change, no throws, no this change, no arguments change
`void`
`setAllFlags()`
All side-effect occur and the returned results are non-local.
`void`
`setMutatesArguments()`
`void`
`setMutatesGlobalState()`
`void`
`setMutatesThis()`
`void`
`setReturnsTainted()`
`void`
`setThrows()`
`int`
`valueOf()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SideEffectFlags

public SideEffectFlags()

### SideEffectFlags

public SideEffectFlags(int value)

## Method Details

### valueOf

public int valueOf()

### setAllFlags

public void setAllFlags()
All side-effect occur and the returned results are non-local.

### clearAllFlags

public void clearAllFlags()
No side-effects occur and the returned results are local.

### areAllFlagsSet

public boolean areAllFlagsSet()

### clearSideEffectFlags

public void clearSideEffectFlags()
Preserve the return result flag, but clear the others: no global state change, no throws, no this change, no arguments change

### setMutatesGlobalState

public void setMutatesGlobalState()

### setThrows

public void setThrows()

### setMutatesThis

public void setMutatesThis()

### setMutatesArguments

public void setMutatesArguments()

### setReturnsTainted

public void setReturnsTainted()